Subject: RE: [ENUM] Dynamics -- was RE: Human readable Route descriptors

From: [email-masked]
Date: Thu, 11 Nov 1999 23:57:24 +0200

> However, ENUM does appear to have the potential to resolve a 
> phone number into a dynamic registrar instead of an IP address. 

Yes, you'd pretty much have to do this (return the
called party's gatekeeper address) with H.323,
anyway, if you have any hope whatsoever of calling
someone behind a NAT or RSIP server.  I'm in the
process of writing an I-D on this topic.

Melinda
-- 
Melinda Shore
Member of the Scientific Staff
Nokia IP Telephony
127 W State St
Ithaca, NY  14850
+1 607 273 0724 x81 (work)
+1 607 227 4096 (mobile)
+1 607 275 3610 (fax)
[email-masked] 

_______________________________________________
enum mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/enum

---

From: "Baron Victor von Maltzahn" <[email-masked]>
Date: Sat, 13 Nov 1999 07:29:24 +0000

Thank you for your e-mail. I will come back to you as soon as possible.

----------
>From: Dean Willis <[email-masked]>
>To: [email-masked], [email-masked]
>Subject: [ENUM] Dynamics -- was RE: Human readable Route descriptors
>Date: Thu, 11 Nov, 1999, 19:12
>

>
> Jon Steer wrote
> ------
> At 03:26 PM 11/10/99 -0600, Stephen Sprunk wrote:
>
>    The purchase of a block of phone numbers is generally static
>    in that it doesn't change on a real-time basis; generally
>    blocks of numbers will stay with their owners for months to years.
>
> Hopefully, one of the things that IP telephony brings is the ability to
> define new services one that might require dynamic addresses.
> --------
>
> Clearly the relatioship between a phone number and an IP Address can be
> dynamic.
>
> Part of my initial adverse reaction to ENUM is my belief that the
> association of IP addresses to phone numbers is an exceptionally dynamic
> relationship, and that this relationship could not be adequately expressed
> in a relatively static and cached DNS.
>
> However, ENUM does appear to have the potential to resolve a phone number
> into a dynamic registrar instead of an IP address. This resolution could
> also be indirected at one or more levels in order to provide number
> portability between carriers, I think. Whether ENUM can address the privacy
> requirements of LNP is another issue.
>
> For example -- (all names and numbers fictitious) I as a phone user might
> rent a phone number from a carrier, perhaps 13045551212 from BPI (Big Phone
> Inc). The NANP NS delegates to the 304 area NS, which delegates exchange 555
> to the SBC NS. The SBC NS might contain a record pointing .1212 towards
> sip:[email-masked];user=phone. As part of my rental fee for the
> phone number, SBC allows me to either use sip.sbc.net as a registrar, or to
> provision contacts into it using a web interface. In the simplest mode,
> assume I use the registration services. When I turn my phone on, it sends a
> SIP REGISTER to sip.bpi.net on behalf of 3045551212 listing the phone's
> current IP address as a Contact:.
>
> Calls from the GSTN to my phone resolve in the following way: The call
> enters the GSTN as a sequence of dialed digits. The carrier switching system
> follows the standard PSTN routing to the nearest BPI switch registered as
> handling my exchange (30555). BPI hands the call to an IP gateway.  The
> gateway does a DNS lookup on 3045551212, which resolves to
> [email-masked]. The GW then sends an INVITE to sip.bpi.net and is
> proxied or redirected to my phone. Note that nobody ever looked in the TRIP
> routes to resolve the call.
>
> In the event that I place a call to the PSTN, 19153627878, things happen in
> a very different fashion.
>
> In this sequence, my phone does a DNS lookup on the dialed number. Perhaps
> it does not resolve (It's not an IP or LNP registered phone number). My
> phone then sends an INVITE to sip.bpi.net with a request-URI of
> tel:9153627878, perhaps with some sort of scope specifier. Next sip.bpi.net
> consults its TRIP routing table to find one or more egress gateways and
> either proxies or redirects my call.
>
> Alternative:
> My phone could be configured to always send my calls to my outgoung proxy
> sip.bpi.net. In this case, it sends the INVITE tel:9153627878. The proxy
> does a DNS lookup, finds that the name does not resolve, consults TRIP, and
> proxies or forwards the call.
>
> These scenarios work pretty well. But, I haven't been able to figure out a
> scenario for local number portability from within DNS -- theoretcially, one
> of the ENUM possibilities. Anybody want to tackle that? I'm concerned that
> LNP is more like NAT than it is a 302: redirect . . .
>
> --
> Dean
>
>
>
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.